program test;

{$ifdef FPC}{$mode OBJFPC}{$endif}

uses
  SysUtils, IPConnection, BrickletRotaryPoti;

type
  TTest = class
  public
    procedure PositionCB(const position: smallint);
  end;

var
  ipcon: TIPConnection;
  t: TTest;
  rp: TBrickletRotaryPoti;

procedure TTest.PositionCB(const position: smallint);
begin
  WriteLn('Position: ' + IntToStr(position));
end;

begin
  ipcon := TIPConnection.Create('localhost', 4223);
  t := TTest.Create;
  rp := TBrickletRotaryPoti.Create('9Hh');

  ipcon.AddDevice(rp);

  rp.OnPosition := {$ifdef FPC}@{$endif}t.PositionCB;
  rp.SetPositionCallbackPeriod(50);

  WriteLn('Press key to exit');
  ReadLn;
  ipcon.Destroy;
end.
